Fedora 24 template available for Qubes 3.2

906 views
Skip to first unread message

Marek Marczykowski-Górecki

unread,
Nov 12, 2016, 10:53:00 PM11/12/16
to qubes-announce, qubes-users
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi all,

Fedora 24 template is now available for direct installation. This means
there are now two ways to have it on Qubes 3.2 system:

1. Upgrade existing Fedora 23 template according to this instruction:

https://www.qubes-os.org/doc/fedora-template-upgrade-23/

2. Install a fresh one using:

qubes-dom0-update qubes-template-fedora-24

The later option will get you fresh template. If you made any
modifications there, you'll need to do them again (if you want).
The same is available for fedora-24-minimal template.

In any case, after getting new template using any method, the next step
is switching some/all qubes (VMs) to the new one. This can be done using
either Qubes Manager (in qube settings), or using qvm-prefs command line
tool.

- --
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJYJ+OXAAoJENuP0xzK19csWa8H/RqO4RjNVeeIEb7s8KRgUMzg
VjQUOrC5YmirnFACrq7t8VDZxbcvSrQ88pifMsIKZYzAzfIHa2s3O6m9XzkDetQO
+of7iUIQaijlec5BKkCGM+3cP3zQSHyrCdb6udOEzYkkSLkeWaYoC6+F/dPrFLVx
1Wb2pNeUY0eWGuL64/WjpozpUGXKtD1tp1RbFv7cqVdF530THVXX+W7g3fp6zmUS
k4goQv0rjhdlhWr9ZYwvlUbGRMpJHaIix4Q4ajXNToVnql69fZxGhhSOtPwBasGe
j4TIbyTKr01a0mQn6mIa+MKkS19H8RwLpu+25EaOlmd2f91vVO8IJrPBSmwvZ84=
=+DPm
-----END PGP SIGNATURE-----

Sec Tester

unread,
Nov 12, 2016, 11:01:37 PM11/12/16
to qubes-users, qubes-a...@googlegroups.com
NICE!!

Any specific improvements or fixes running Fedora-24?

I noticed F-23 seemed to have trouble playing flash videos for me.

F-24 Min template coming?
A Deb-8 min template would also be nice :)

Marek Marczykowski-Górecki

unread,
Nov 12, 2016, 11:11:02 PM11/12/16
to Sec Tester, qubes-users
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Sat, Nov 12, 2016 at 08:01:37PM -0800, Sec Tester wrote:
> NICE!!
>
> Any specific improvements or fixes running Fedora-24?

Nothing specific to Qubes, see upstream release notes for non-Qubes
changes:
https://docs.fedoraproject.org/en-US/Fedora/24/html/Release_Notes/

> I noticed F-23 seemed to have trouble playing flash videos for me.
>
> F-24 Min template coming?

Yes, it is also available - as noted in the message.

> A Deb-8 min template would also be nice :)

Actually, default debian-8 template is already pretty minimal.

- --
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJYJ+fSAAoJENuP0xzK19cs4MwIAIp8qjAWDJjAJiOhuZrYf4F4
Dz78ytaBP9u0wEDGRwGJ6qoEIFH2mPX3Ktt94Grc0995P2cI9ORBFYNYCyXyBncJ
/jfBlI2Tr2xyfOfXUi3WEwXiNoG3Ef1U23gmeStn8mKvrQa0KNm3xP0rXNI+fO1I
Y1bM3jvTjAOqg/cm2eubNYbaeKOKitvmLT7GeL9OsSdRG+YTiL/5y1lXC1ycwscj
wpIkdbM6uSFmwk0FwbjxsHkCz2ZsRmMb0svQa2O7axbFmvSwcpcRurjKcsiFw2DR
fJA5t+QJz1HlTIgamzbqDzj9kCcceWy8ijrXYZXn3UlIXSqN2q0iQUhYSfxW3R4=
=Cekd
-----END PGP SIGNATURE-----

Sec Tester

unread,
Nov 13, 2016, 12:05:54 AM11/13/16
to qubes-users, sectest...@gmail.com
> Yes, it is also available - as noted in the message.

And i read too quickly, doh :o)

Look forward to taking 24 for a spin.

Grzesiek Chodzicki

unread,
Nov 13, 2016, 2:23:36 PM11/13/16
to qubes-users, qubes-a...@googlegroups.com
Following error message is printed after running sudo dnf remove qubes-template-fedora-23:
"No match for argument: qubes-template-fedora-23
Error: No packages marked for removal."

yaqu

unread,
Nov 13, 2016, 2:54:06 PM11/13/16
to qubes...@googlegroups.com
On Sun, 13 Nov 2016 11:23:35 -0800 (PST), Grzesiek Chodzicki
<grzegorz....@gmail.com> wrote:

> Following error message is printed after running sudo dnf remove
> qubes-template-fedora-23: "No match for argument:
> qubes-template-fedora-23 Error: No packages marked for removal."

It looks like you do not have this package installed (or you have
executed this command in VM instead of dom0).

To get a list of templates installed from rpm in dom0, you can use this
command:
[user@dom0 ~]$ rpm -qa | grep template

--
yaqu

Grzesiek Chodzicki

unread,
Nov 13, 2016, 3:30:25 PM11/13/16
to qubes-users, qubes...@openmailbox.org
I did execute it in dom0, fedora-23 was installed by default when I installed Qubes on my PC.

yaqu

unread,
Nov 13, 2016, 5:26:10 PM11/13/16
to qubes...@googlegroups.com
On Sun, 13 Nov 2016 12:30:25 -0800 (PST), Grzesiek Chodzicki
<grzegorz....@gmail.com> wrote:

> W dniu niedziela, 13 listopada 2016 20:54:06 UTC+1 użytkownik yaqu
> napisał:
> >
> > It looks like you do not have this package installed (or you have
> > executed this command in VM instead of dom0).
> >
> > To get a list of templates installed from rpm in dom0, you can use
> > this command:
> > [user@dom0 ~]$ rpm -qa | grep template
>
> I did execute it in dom0, fedora-23 was installed by default when I
> installed Qubes on my PC.

Please, check if your fedora-23 template was really installed from rpm
(and it wasn't cloned from previous version and upgraded to f23):

[user@dom0 ~]$ qvm-prefs fedora-23 | grep rpm
installed_by_rpm : True

You can also check this using Qubes VM Manager (in VM settings, tab
Basic, under "General").

If your fedora-23 template was not installed from rpm, you can remove
it using Qubes VM Manager or using command:

[user@dom0 ~]$ qvm-remove fedora-23

--
yaqu

Gaijin

unread,
Nov 13, 2016, 6:12:36 PM11/13/16
to qubes-users
I have several templates based on Fedora 23 where I've installed various
software. When I follow the manual upgrade instructions the update
proceeds without error. However, when I get to the step were I am
supposed to trim the newly upgraded templates I get an error.

...
File "/usr/lib64/python2.7/site-packages/qubes/modules/000QubesVm.py",
line 1854, in start_quexec_daemon
raise OSError ("Cannot execute qrexec-daemon!")

I cannot open a terminal in these templates, nor can I base AppVMs on
them. I just get the qrexec-daemon error.

My Fedora 24 template works fine.

Marek Marczykowski-Górecki

unread,
Nov 13, 2016, 6:33:09 PM11/13/16
to Gaijin, qubes-users
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Sun, Nov 13, 2016 at 11:12:34PM +0000, Gaijin wrote:
> I have several templates based on Fedora 23 where I've installed various
> software. When I follow the manual upgrade instructions the update proceeds
> without error. However, when I get to the step were I am supposed to trim
> the newly upgraded templates I get an error.
>
> ...
> File "/usr/lib64/python2.7/site-packages/qubes/modules/000QubesVm.py", line
> 1854, in start_quexec_daemon
> raise OSError ("Cannot execute qrexec-daemon!")
>
> I cannot open a terminal in these templates, nor can I base AppVMs on them.
> I just get the qrexec-daemon error.

You can access its console using `sudo xl console fedora-24`. Look for
some failed service startup messages. You can login as root without
password to perform further investigation - like call `systemctl` or
`journalctl -b`.

> My Fedora 24 template works fine.

I guess you've meant 23 here? Otherwise, what's the problem?

- --
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJYKPgwAAoJENuP0xzK19csGVMIAJdJDwXaWHXsOqvFnsvt7c32
eogiGZ50ju+1Xcl67qCLuX9mOQHQYDOhUWOMaAfa79R4F98hIWhF4LaotxxM2RUr
UIBVq/4tX3mx3DNZQUXGx+91J1S2/wPJ5YGUQhJio7MTUn+OTX7qyu4u5aDnt/jx
QHuZfqE+aI0micLn/8KWV1OyPNcMrOZjWqrEdOSb2Fu5JxXkD+KznZ1DKIZJ9G57
BFDe7Fp8n3yyah4wnjQYe/BkvOoZf2lKzdt4ls4ATowwAHpQibtZkks1y+Q39ZdR
K9oGbh7UNtMRDSJTxQx7+C65+6Cf+m/ek1kDu5Qv+D4blip7ggb8zEE1JAlCxzM=
=wAc/
-----END PGP SIGNATURE-----

Gaijin

unread,
Nov 14, 2016, 1:42:38 AM11/14/16
to Qubes Users
No, I meant the updated fedora-24 template.

Updating the fedora-23 template, which I haven't made changes to, to
fedora-24 works fine. No update errors. No trim errors. It updated and
works fine with Fedora 24 following the manual update instructions. I
switched my AppVMs that used fedora-23 to use this new template and I
don't see any issues.

All of my other Fedora 23 templates, where I had added different
software, they are the ones that failed at the "trim" stage of the
manual upgrade process. None of those are functioning now.

I haven't had a chance to try checking for failed service startup
messages yet as I don't have access to the machine right now, but will
report back.

Gaijin

unread,
Nov 14, 2016, 6:14:21 PM11/14/16
to Qubes Users
systemctl doesn't show anything abnormal
systemctl --all shows several not found inactive dead listings
ex.
livesys.service
ntpd.service
qubes-core.service
qubes-dvm.service
qubes-firewall.service
qubes-iptables.service
qubes-misc-post.service
qubes-mount-dirs.service
qubes-mount-home.service
qubes-netwatcher.service
qubes-network.service
qubes-qmemman.service
qubes-qrexec.service
qubes-random-seed.service
qubes-sysinit.service
qubes-updates-proxy.service
sntp.service
syslog.service
ypbind.service
sys-log.service
qubes-update-check.service

Marek Marczykowski-Górecki

unread,
Nov 14, 2016, 6:58:00 PM11/14/16
to Gaijin, Qubes Users
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Uhm, it looks like you've uninstalled qubes tools in the process... If
you still have qubes repository definition in
/etc/yum.repos.d/qubes-r3.repo, you can try to reinstall it:

sudo dnf install qubes-core-vm-systemd

It should show you what conflicts with this package (if anything).

If you don't have repository definition anymore, you'll need to create
it first. It should look like this:

[qubes-vm-r3.2-current]
name = Qubes OS Repository for VM (updates)
baseurl = http://yum.qubes-os.org/r3.2/current/vm/fc$releasever
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-3-primary
skip_if_unavailable=False
gpgcheck = 1
enabled=1

[qubes-vm-r3.2-current-testing]
name = Qubes OS Repository for VM (updates-testing)
baseurl = http://yum.qubes-os.org/r3.2/current-testing/vm/fc$releasever
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-3-primary
skip_if_unavailable=False
gpgcheck = 1
enabled=0

[qubes-vm-r3.2-security-testing]
name = Qubes OS Repository for VM (security-testing)
baseurl = http://yum.qubes-os.org/r3.2/security-testing/vm/fc$releasever
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-3-primary
skip_if_unavailable=False
gpgcheck = 1
enabled=0

[qubes-vm-r3.2-unstable]
name = Qubes OS Repository for VM (unstable)
baseurl = http://yum.qubes-os.org/r3.2/unstable/vm/fc$releasever
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-3-unstable
gpgcheck = 1
enabled=0

You can save some typing by using only the first section (it is enough
for recovery) - save it in some other file there, like
/etc/yum.repos.d/qubes-recovery.repo.

You'll also need to configure network manually (as you no longer have a
script which did that for you) - take a look here (procedure is very
similar):

https://www.qubes-os.org/doc/upgrade-to-r3.0/#upgrading-template-on-already-upgraded-dom0

- --
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJYKk+BAAoJENuP0xzK19cs7fsH/AlhudAV3YMj8xcHlq2qON9h
AttdZrrbtO5GA796EP8iLhDpN1b6iV0NMIh2Wbyhxuk6+Wijs6751iJ7F3fKtldA
eh9NJrssHVtgcEWMHfKmflerYWWgPUwqHztTA4vNWXxM7b4uyjxphDzSzvQpNblX
W5C8QKxNhdqYLmf2n4X9FmX4hG09q4CMVwqfwk2T0T9reyv6Hbqlkj68e0sKL1Ig
w4mF/gZqgDHKcHz6YDB0yJzIk0lop7mztBMYA8Dj4WSnGoVtDlPrCepffSCFogOC
xfP9s0GnIjP+z7yTqSlPqpvd/PH8OsAH7Pvn1Hb8z+071SXazm0YhA95WgRecqI=
=wEUi
-----END PGP SIGNATURE-----

Grzesiek Chodzicki

unread,
Nov 15, 2016, 12:14:46 PM11/15/16
to qubes-users, qubes...@openmailbox.org
qvm-prefs does return true for installed_by_rpm, moreover using qvm-remove causes the "this package was installed by rpm" message to appear.

yaqu

unread,
Nov 15, 2016, 5:07:03 PM11/15/16
to qubes...@googlegroups.com
In that case I think I know what has happened.

You have tried to remove fedora-23 using dnf, while some appVMs still
were using it as a template. Dnf has displayed an error, but also it has
removed package, leaving it in qubes config (and not cleaning template's
directory).

The easiest (but not fastest, as it's time and network consuming) way to
fix it is to reinstall template and then remove it:

$ sudo qubes-dom0-update qubes-template-fedora-23
$ sudo dnf remove qubes-template-fedora-23

The hard, quick, and not sure if safe way is to edit
/var/lib/qubes/qubes.xml file, find fedora-23 entry, and change its
installed_by_rpm property to "False" (it cannot be done by qvm-prefs).
Then remove it using qvm-remove:

$ qvm-remove fedora-23

Good luck,

--
yaqu

yaqu

unread,
Nov 15, 2016, 6:28:32 PM11/15/16
to qubes...@googlegroups.com
On Tue, 15 Nov 2016 23:06:48 +0100, yaqu <qubes...@openmailbox.org>
wrote:

> You have tried to remove fedora-23 using dnf, while some appVMs still
> were using it as a template. Dnf has displayed an error, but also it
> has removed package, leaving it in qubes config (and not cleaning
> template's directory).

Anyway, I think it should be considered as a bug.

Steps to reproduce (assuming fedora-23-minimal is not installed):

$ sudo qubes-dom0-update qubes-template-fedora-23-minimal
$ qvm-create -t fedora-23-minimal -l red test-vm
$ sudo dnf remove qubes-template-fedora-23-minimal

--
yaqu

Marek Marczykowski-Górecki

unread,
Nov 15, 2016, 7:14:30 PM11/15/16
to yaqu, qubes...@googlegroups.com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Yes, you're right. Previously (before Fedora introduced DNF), failure in
%preun script aborted the operation, now it results just in a message.
Not sure if this is a bug of a feature of DNF...

- --
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJYK6ThAAoJENuP0xzK19csJe0IAJbIvs+gev4bIw8KhuRwLZY0
8UiCjHsBtqtcIdANlK7wmrSFVaz2CmOTofWSC5+8NrbQDmH5zdTWdF2EDUl/qfgQ
SDgK42ZTz7D0yUwXu70GyZwHUh8Sd9frXakgGwWWRxmk2jyAm78mllnReIWsGgmD
C9OJrdpxbw2mrTdoDR0YGXd3VOA8vWLvNshquQnyGgxwX05AMg36vBYtcmeB1FUR
np0BEY4l0pCPUvzmoYGA3OzoTdTl6ueMQasVb7FOU0sPviekgCElM3puTY3Ii3gh
8demX6zl8KWDkaaz4RqTZpw5iGru37Qm+IkNkw1eh568CFXOhfCCuXucolKcYpg=
=S/Lk
-----END PGP SIGNATURE-----

yaqu

unread,
Nov 16, 2016, 5:31:53 AM11/16/16
to qubes...@googlegroups.com
On Wed, 16 Nov 2016 01:14:24 +0100, Marek Marczykowski-Górecki
<marm...@invisiblethingslab.com> wrote:

> On Wed, Nov 16, 2016 at 12:28:17AM +0100, yaqu wrote:
> > > You have tried to remove fedora-23 using dnf, while some appVMs
> > > still were using it as a template. Dnf has displayed an error,
> > > but also it has removed package, leaving it in qubes config (and
> > > not cleaning template's directory).
> >
> > Anyway, I think it should be considered as a bug.
> >
> > Steps to reproduce (assuming fedora-23-minimal is not installed):
> >
> > $ sudo qubes-dom0-update qubes-template-fedora-23-minimal
> > $ qvm-create -t fedora-23-minimal -l red test-vm
> > $ sudo dnf remove qubes-template-fedora-23-minimal
>
> Yes, you're right. Previously (before Fedora introduced DNF), failure
> in %preun script aborted the operation, now it results just in a
> message. Not sure if this is a bug of a feature of DNF...

Removing package using plain rpm gives the same result, so it's not
dnf's fault.

There is an interesting entry in rpm changelog:
* Fix %preun scriptlet not aborting package erase
http://rpm.org/wiki/Releases/4.13.0

So it's fixed in rpm 4.13.0, but in dom0 we have broken rpm 4.13.0-rc1.

BTW it was fixed in commit:
https://github.com/rpm-software-management/rpm/commit/1ac507f15f014e69b926a1c2bf9a46a2a4dcaff3
And broken in:
https://github.com/rpm-software-management/rpm/commit/f4a49c3d446bb180ca6b30a4337065fb6511e641

--
yaqu

Marek Marczykowski-Górecki

unread,
Nov 16, 2016, 7:37:26 AM11/16/16
to yaqu, qubes...@googlegroups.com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

It looks like the fixed package is in updates-testing repository for
Fedora 23. Lets hope it will migrate to updates before Fedora 23 EOL...

- --
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJYLFMAAAoJENuP0xzK19csoQoH+QGC9F3AwnNy2bllWBkNtTSG
uHFTGppa+qvWRZ+Qond5Zd0ShbQeaiHOYrZJKjUKRaLVeNokgYVl90aqtGDAN4HM
SUHBNjIBJOVNOmcOCVM1xOMSuUSQLe29FlnNSMwN2IiPodlnvZyYkYRYE3cZreL0
RMQPYSArJ3lvCF6wrsrcim0Gr5/Wmf8D6E38Kpoux7rbm3B8QLuj2eNgdKXvJqx8
rW1tAm82/4NYeVkJ3JTwmK1Sg1thMNQiBd9suwcBe5necRV9/D1QN1Wk9KDR0hGy
hWBHNrnGzb8DF5ps2PkvuIrOUCeCoZF/PMvIAJLUYBVeic/haouhvxp+cJE63KU=
=oQcl
-----END PGP SIGNATURE-----

blyt...@gmail.com

unread,
Nov 16, 2016, 6:05:44 PM11/16/16
to qubes-users, qubes-a...@googlegroups.com
I installed the Fedora 24 template and set all VMs that were using 23 to 24.
However, I'm unable to remove the Fedora 23 template and dom0 is still fetching updates for it.
Anyone else having this problem?

blyt...@gmail.com

unread,
Nov 16, 2016, 6:37:25 PM11/16/16
to qubes-users, qubes-a...@googlegroups.com, blyt...@gmail.com

>
>
> I installed the Fedora 24 template and set all VMs that were using 23 to 24.
> However, I'm unable to remove the Fedora 23 template and dom0 is still fetching updates for it.
> Anyone else having this problem?

Nevermind I got it. Attempted to remove the template before I set dependent VMs to the new one.

Grzesiek Chodzicki

unread,
Nov 17, 2016, 11:47:00 AM11/17/16
to qubes-users, qubes...@openmailbox.org
Okay, I found a fix. I deleted fedora-23 folder from the templates directory and then deleted its entry from qubes.xml. Afterwards I rebuilt the dvm image using the qvm-create-default-dvm. All works fine now.

Sec Tester

unread,
Nov 18, 2016, 1:57:28 AM11/18/16
to qubes-users, qubes-a...@googlegroups.com
Just pointing out that there documentation here needs updating to include commands for fedora-24:

https://www.qubes-os.org/doc/templates/

Andrew David Wong

unread,
Nov 19, 2016, 7:03:22 AM11/19/16
to Sec Tester, qubes-users, qubes-a...@googlegroups.com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 2016-11-17 22:57, Sec Tester wrote:
> Just pointing out that there documentation here needs updating to include commands for fedora-24:
>
> https://www.qubes-os.org/doc/templates/
>

Do you mean just the numbers ("23" to "24"), or have some actual commands changed?

- --
Andrew David Wong (Axon)
Community Manager, Qubes OS
https://www.qubes-os.org
-----BEGIN PGP SIGNATURE-----

iQIcBAEBCgAGBQJYMD+AAAoJENtN07w5UDAwN1oP/itHnn2/Mu7ifW9ucvzBSuDW
uV2LuiZSjdLDZPjLj0vECFC2oYZlARWPjI1lulNWsJexIguZ/aTAb/u/SPL5rsMn
ySXmu2uo/rSZYtBc/1AwdkpHtFbf5oPs38x5q6tVsNS6Z7xKBpobXFPWZYmzIOrJ
Q038yi5ZoKErifXYup9t2I0AzSzPoBPrMb3Q+k11KOHvGRMcLGg6kuS3uleluTBx
yI9+GFdONKKSE52OtWzbmcqWryxABgWBPHsJskAdNLndFVtY3Tp0IR1BsjRtee0d
pdTqthDgCTXWpIl8Hj+5VinAgwIVFAQwDUDb6Edsli57pJK+UJiSnC0GcSj+b6PF
iyelscYh+mWShypNJT7etJ4E/M6TJw8wkGVT5zGn/Ysz2phk/F9yRQu0oL01fvhB
Vyy/6a7GFaxuD77P1gBZsB2zHdc2RvNUuvEpzH/NBWRbdPJJ89Gv7xnCUVMsk4Xj
tttxSmWdA4DN9f1k1TF3EnW7526azyn9NVm/feRL/EpFBYnbFcsk63/TDUVuSThp
O6T3GgnGS0eZYr4nYxkkywLBi+UKFLQcYayHceH3qa1jNUjwLq6Kmx7XsMc5e3da
a/oNXu/MYZ2E/0xiP5az7Oxm64hqpr+5zvmjbGvbeY3QRf5eVmohhuXazO0KslAq
zdKQrMpQx+Kh20J6NH6+
=rSaA
-----END PGP SIGNATURE-----

Gaijin

unread,
Nov 20, 2016, 9:25:24 PM11/20/16
to Qubes Users
Thanks Marek. Your advice got me pointed in the right direction.

My Fedora-23 templates with software installed were still using the
repository definition for R3.1, so I tried the --allowerase on the
distro-sync step, and subsequently removed Qubes. (my bad)

Someone may want to add your suggestion to make sure the repository
definition is up-to-date to the upgrade documentation. Updating those
R3.2 repository definitions in /etc/yum.repos.d/qubes-r3.repo solved
my upgrade issue. I had not thought to check there.

Thomas Sprinzing

unread,
Nov 21, 2016, 6:54:20 AM11/21/16
to Qubes Users
>
> >
> > Uhm, it looks like you've uninstalled qubes tools in the process...
I am trying to update and follow the manual in the documentation. See
here where things go south:

[user@fedora-24 ~]$ sudo dnf  --releasever=24 --
setopt=cachedir=/mnt/removable distro-sync
Last metadata expiration check: 0:03:35 ago on Mon Nov 21 08:22:49
2016.
Error: package python3-dnf-plugins-qubes-hooks-3.1.18-1.fc23.x86_64
requires python(abi) = 3.4, but none of the providers can be installed.
package qubes-gui-vm-3.1.7-1.fc23.x86_64 requires pulseaudio = 7.1, but
none of the providers can be installed.
package xen-qubes-vm-2001:4.6.0-13.fc23.x86_64 requires xen-libs =
2001:4.6.0-13.fc23, but none of the providers can be installed.
package qubes-core-vm-3.1.18-1.fc23.x86_64 requires python3-dnf-
plugins-qubes-hooks, but none of the providers can be installed.
package qubes-core-vm-systemd-3.1.18-1.fc23.x86_64 requires qubes-core-
vm, but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting
packages)


-- 
Now, when i --allowerasing , this happens:

...
...
Removing:
 python3-dnf-plugins-qubes-hooks x86_64 3.1.18-
1.fc23              @qubes-vm-r3.1-current
                                                                       
    3.7 k
 qubes-core-vm                   x86_64 3.1.18-
1.fc23              @qubes-vm-r3.1-current
                                                                       
    1.8 M
 qubes-core-vm-systemd           x86_64 3.1.18-
1.fc23              @qubes-vm-r3.1-current
                                                                       
     19 k
 qubes-gui-vm                    x86_64 3.1.7-
1.fc23               @qubes-vm-r3.1-current
                                                                       
    135 k
 xen-qubes-vm                    x86_64 2001:4.6.0-
13.fc23         @template-builder-repo
                                                                       
    368 k
Downgrading:
 xen-libs                        x86_64 4.6.4-
1.fc24               updates 575 k
 xen-licenses                    x86_64 4.6.4-
1.fc24               updates 104 k

Transaction Summary
=======================================================================
==========
Install      99 Packages
Upgrade    1351 Packages
Remove        5 Packages
Downgrade     2 Packages

Total download size: 1.5 G
Is this ok [y/N]: 

so, i assume, it's not okay, but i say yes just to give it a shot:

...
...
Downgraded:
  xen-libs.x86_64 4.6.4-1.fc24          xen-licenses.x86_64 4.6.4-
1.fc24         

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 174, in
user_main
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 60, in
main
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 120, in
_main
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 159, in
resolving
  File "/usr/lib/python3.4/site-packages/dnf/plugin.py", line 82, in fn
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 183, in
mapall
  File "/usr/lib/python3.4/site-packages/dnf-plugins/qubes-hooks.py",
line 40, in transaction
  File "/usr/lib/python3.4/site-packages/iniparse/compat.py", line 146,
in getboolean
  File "/usr/lib/python3.4/site-packages/iniparse/compat.py", line 219,
in get
configparser.NoSectionError: No section: 'main'


after i shutdown the terminal, i cannot get it going via qubes
startmenu (cannot execute qrexec-daemon)



Ssooo, imho, the upgrade process is borken.
At least, --allowerasing is not the way to go!


best of luck to everyone else!

Thomas

Thomas Sprinzing

unread,
Nov 21, 2016, 6:56:27 AM11/21/16
to Qubes Users
>
> >
> > Uhm, it looks like you've uninstalled qubes tools in the process...
Reply all
Reply to author
Forward
0 new messages